YUV2RGBParam Struct Reference

## Data Fields

uint8_t | y_shift
int16_t | y_factor
int16_t | v_r_factor
int16_t | u_g_factor
int16_t | v_g_factor
int16_t | u_b_factor

## Detailed Description

Definition at line 22 of file yuv_rgb.c.

## Field Documentation

## u_b_factor

int16_t YUV2RGBParam::u_b_factor

Definition at line 29 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

## u_g_factor

int16_t YUV2RGBParam::u_g_factor

Definition at line 27 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

## v_g_factor

int16_t YUV2RGBParam::v_g_factor

Definition at line 28 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

## v_r_factor

int16_t YUV2RGBParam::v_r_factor

Definition at line 26 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

## y_factor

int16_t YUV2RGBParam::y_factor

Definition at line 25 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

## y_shift

uint8_t YUV2RGBParam::y_shift

Definition at line 24 of file yuv_rgb.c.

Referenced by STD_FUNCTION_NAME().

The documentation for this struct was generated from the following file:

- src/video/yuv2rgb/yuv_rgb.c